package com.qs.mp.channel.domain.vo;

import com.alibaba.fastjson.annotation.JSONField;
import com.alibaba.fastjson.serializer.SerializerFeature;
import com.qs.mp.channel.domain.ChannelGoodsSettleOrderItem;
import com.qs.mp.common.enums.ChannelGoodsOrderSettleEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * @author zhangkaikai
 * @create 2023-06-08 7:02 PM
 **/
@ApiModel("门店结算出参类")
@Data
public class ChannelSettleVO {


    @ApiModelProperty("采购订单id")
    private String purchaseOrderId;

    @ApiModelProperty("结算账单id")
    private String settleOrderId;

    @ApiModelProperty("应付金额")
    private Integer orderAmt;

    @ApiModelProperty("结算金额")
    private Integer settleAmt;

    @ApiModelProperty("我的结算订单状态")
    @JSONField(serialzeFeatures = SerializerFeature.WriteEnumUsingToString)
    private ChannelGoodsOrderSettleEnum status;

    @ApiModelProperty("创建时间")
    private Date createdTime;

    @ApiModelProperty("结算时间")
    private Date payTime;

    @ApiModelProperty("结算订单明细")
    private List<ChannelGoodsSettleOrderItemVO> items;

}
